Skip to main content

private/bot/get-trading-bot-executions

POST 

/private/bot/get-trading-bot-executions

Returns the order execution history for a specific Trading Bot.

Request

Body

required
    id int64required

    Request id (echoed in response)

    method stringrequired

    Must be "private/bot/get-trading-bot-executions"

    api_key stringrequired

    Your API key (only required for private REST)

    sig stringrequired

    HMAC-SHA256 signature in hex (only required for private REST)

    nonce int64required

    Current timestamp in milliseconds, e.g. "1610905028000".

    params objectrequired
    bot_id int64required

    Trading Bot ID

    order_status OrderStatus (string)[]

    Possible values: [PENDING, NEW, ACTIVE, FILLED, CANCELED, REJECTED, EXPIRED]

    Filter by order status

    basket_bot_filter object
    Filter for basket DCA bots
    include_child_symbols string[]

    List of instrument symbols to include

    page integer

    Default value: 0

    Page number

    page_size integer

    Default value: 20

    Page size. Max 500.

Success.
Schema
    id int64

    Original request identifier

    method string

    Method name

    code int32

    0 for success; error code otherwise

    message string

    Error message for non-zero codes

    result object
    execution_list object[]
    List of bot executions
  • Array [
  • instrument_name string

    Instrument display name

    symbol string

    Instrument symbol

    execution_time int64

    Execution time in milliseconds (UTC)

    schedule_time int64

    Scheduled execution time in milliseconds (UTC)

    order_status OrderStatus (string)

    Possible values: [PENDING, NEW, ACTIVE, FILLED, CANCELED, REJECTED, EXPIRED]

    Order status

    side string

    Possible values: [BUY, SELL]

    Order side

    price decimal

    Order price

    quantity decimal

    Order quantity

    avg_price decimal

    Average fill price

    cum_qty decimal

    Cumulative filled quantity

    order_id string

    Exchange order ID

    update_time int64

    Last update time in milliseconds (UTC)

    executed_percentage decimal

    Percentage of the order quantity that has been filled

  • ]